Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85989 - audio frequency/speed shifts upward with nForce2 / i810 driver
Summary: audio frequency/speed shifts upward with nForce2 / i810 driver
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-11 22:22 UTC by Patrick Griffin
Modified: 2008-01-17 17:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:38 UTC


Attachments (Terms of Use)

Description Patrick Griffin 2003-03-11 22:22:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
Playing ogg or mp3 files in XMMS with OSS sounds output driver results in
correct playback for a few seconds, then frequencies gradually shift upwards. 
Seeking to a new location in the stream or starting a new stream usually get
audio frequencies back to their correct levels

Xine video playback plays audio more quickly than video; this may be a xine bug
as I'm running xine-lib-beta6.

The TV tuner card correctly plays back audio from the microphone; no frequency /
speed shifting occurs

Version-Release number of selected component (if applicable):
2.4.20-2.48

How reproducible:
Always

Steps to Reproduce:
1.run XMMS
2.load an mp3 or ogg file
3.play for 2-30 seconds, listen for upward shifts in audio.
4.restart stream or seek a few seconds behind current location to shift
frequencies back downwards - good demonstration of the difference
    

Actual Results:  squeaky, fast, crappy audio

Expected Results:  gourgeous stereo Ogg-Vorbis audio

Additional info:

WinFast K7 NCR18 motherboard
nVidia nForce2 chipset

Comment 1 Bugzilla owner 2004-09-30 15:40:38 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.